๐Ÿ›๏ธOrder

All about order service

Store order

Create data order

BODY (raw)

  • order_date: create date the order was created

  • brand_name: brand or shop name

  • shipper_name: name of the order sender

  • shipper_phone: order sender's telephone number

  • shipper_destination_id: id of destination from endpoint destination

  • shipper_address: address of the sender

  • shipper_email: email address of the sender

  • receiver_name: the name of the package recipient

  • receiver_phone: the phone number of the package recipient

  • receiver_destination_id: id of destination from endpoint destination

  • receiver_address: the address of the package recipient

  • shipping: Support expedition JNE/SICEPAT/SAP/IDEXPRESS/JNT/NINJA

  • shipping_type: Support REG19, SIUNT, STD, GOKIL, IDlite, Idtruck, JTR18, UDRREG, DRGREG, JTR23, REG23, EZ, REGULER, Standard, JNEFlat.

  • payment_method: Support BANK TRANSFER/COD

  • shipping_cost: Shipping cost for goods

  • shipping_cashback: Shipping cost cashback

  • service_fee: Service administration fee

  • additional_cost: Additional shipping cost (optional)

  • grand_total: Total cost shipping

  • cod_value: Total price cod

  • insurance_value: Total insurance fee

  • order_details: Array of object below this

POST /order/api/v1/orders/store

The value of insurance_value can refer to the following example:

For example, a partner adds an order with a total product_price = IDR 1,000,000 from sum of all product in one order and shipping_costs = IDR 25,000, then the transaction value = IDR 1,025,000 using JNE. Based on the table below, the value for JNE is (0.2% x Goods Value) + IDR 5,000. Calculation: (0.2% x IDR 1,000,000) + IDR 5,000 = IDR 2,000 + IDR 5,000 = IDR 7,000. So, the insurance_value that must be paid by the partner = IDR 7,000.

Agent
Insurance Price
Information

JNE

(0,2% x Goods Value) + Rp 5.000

-

SiCepat

0,3% x Grand Total

Only grand total >Rp500.000 which can be insured

IDExpress

0,2% x Goods Value

-

SAP

(0,3% x Goods Value) + Adm Rp 2.000/AWB

-

Ninja

0.25% x Goods Value

If Goods Value <=1.000.000 then = Rp2.500. If Goods Value >1.000.000 then = 0.25% x Goods Value

J&T

0,2% x Goods Value

-

Insurance costs will cut into the net_profit earned by the partner. If insurance costs will be charged to the buyer, then add a value to additional_costs in the same amount as insurance_value

Cancel order

Cancel the order that has been made

BODY(raw)

  • order_no: number of order from response orders/store

PUT /order/api/v1/orders/cancel

Detail order

Returns data detail order

Query params

  • order_no: "KOM20230612145122"

GET /order/api/v1/orders/detail

Request pickup

Create request pickup to expedition

BODY (raw)

  • pickup_vehicle:

  • pickup_time: Order pickup time HH:mm:ss

  • pickup_date: Order pickup date YYYY-MM-DD

  • orders: Array of objects below this

POST /order/api/v1/pickup/request

Print airway bill the order

Query params

  • page: count page (page_2)

  • order_no: number of order

POST /order/api/v1/orders/print-label

Update status order

Update status order after create order

BODY (raw)

  • status: status order Diterima/Diajukan/Dikirim/Retur/Batal/Dipacking

  • cnote: number of airway bill

  • order_no: number of order

PUT /order/api/v1/callback/update-status

History airway bill

Returns the history of packages currently being shipped by the expedition

Query params

  • airway_bill: number of airway bill

  • shipping: support expedtion JNE/SICEPAT/SAP/IDEXPRESS/JNT/NINJA

GET /order/api/v1/orders/history-airway-bill

Last updated